commit: 49e94f5aea1422bfddc0cac9672227f8e82e5d56
Author: David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Sat Jun 22 09:48:27 2019 +0000
Commit: David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Sat Jun 22 09:48:27 2019 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=49e94f5a
dev-cpp/commoncpp2: Port to EAPI 7
Package-Manager: Portage-2.3.67, Repoman-2.3.15
Signed-off-by: David Seifert <soap <AT> gentoo.org>
dev-cpp/commoncpp2/commoncpp2-1.8.1-r4.ebuild | 28 ++++++++++++---------------
1 file changed, 12 insertions(+), 16 deletions(-)
diff --git a/dev-cpp/commoncpp2/commoncpp2-1.8.1-r4.ebuild
b/dev-cpp/commoncpp2/commoncpp2-1.8.1-r4.ebuild
index 6f8faaf756b..0db41ca0b79 100644
--- a/dev-cpp/commoncpp2/commoncpp2-1.8.1-r4.ebuild
+++ b/dev-cpp/commoncpp2/commoncpp2-1.8.1-r4.ebuild
@@ -1,20 +1,21 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=6
+EAPI=7
-inherit autotools eutils
+inherit autotools
DESCRIPTION="C++ library offering portable support for system-related services"
-SRC_URI="mirror://gnu/commoncpp/${P}.tar.gz"
HOMEPAGE="https://www.gnu.org/software/commoncpp/"
+SRC_URI="mirror://gnu/commoncpp/${P}.tar.gz"
+
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="amd64 ppc ppc64 x86"
IUSE="debug doc examples gnutls ipv6 libressl ssl static-libs"
RDEPEND="
- sys-libs/zlib
+ sys-libs/zlib:=
ssl? (
gnutls? (
dev-libs/libgcrypt:0=
@@ -28,8 +29,6 @@ RDEPEND="
DEPEND="${RDEPEND}
doc? ( >=app-doc/doxygen-1.3.6 )"
-HTML_DOCS=()
-
PATCHES=(
"${FILESDIR}/1.8.1-configure_detect_netfilter.patch"
"${FILESDIR}/1.8.0-glibc212.patch"
@@ -42,29 +41,26 @@ PATCHES=(
"${FILESDIR}/1.8.1-libressl.patch" # bug 674416
)
-pkg_setup() {
- use doc && HTML_DOCS+=( doc/html/. )
-}
-
src_prepare() {
default
eautoreconf
}
src_configure() {
- use ssl && local myconf=( $(usex gnutls '--with-gnutls'
'--with-openssl') )
-
econf \
$(use_enable debug) \
$(use_with ipv6) \
+ $(use_with ssl $(usex gnutls gnutls openssl)) \
$(use_enable static-libs static) \
- $(use_with doc doxygen) \
- "${myconf[@]}"
+ $(use_with doc doxygen)
}
-src_install () {
+src_install() {
+ use doc && local HTML_DOCS=( doc/html/. )
default
- prune_libtool_files
+
+ # package provides .pc files
+ find "${D}" -name '*.la' -delete || die
dodoc COPYING.addendum